// Rozwiązanie zadania Biegacze
// Zawody I stopnia XVII OIJ
// oij.edu.pl

// Bartosz Kostka

#include "bits/stdc++.h"

using namespace std;

// Zwraca największy wspólny dzielnik (nwd) dwóch liczb.
int nwd(int a, int b) {
  if (b == 0) return a;
  return nwd(b, a % b);
}

// Zwraca najmniejszą wspólną wielokrotność (nww) dwóch liczb.
long long nww(int a, int b) {
  // Należy zwrócić uwagę, że a*b może byc większe niż zakres typu int,
  // dlatego mnożymy najpierw przez 1 typu long long.
  return 1LL * a * b / nwd(a, b);
}

int main() {
int a, b;
  long long c;
  cin >> a >> b >> c;
  // Wypisujemy ile razy nww(a,b) miesci sie w c.
  cout << c / nww(a, b) << "\n";
}